--[[
######################################################################
##  File:	MilitiaHeavy.lua										##
##  Author:	'OliveD' (olived@live.ca)								##
##	Notes:	Random generation on the militia heavies.				##
##																	##
######################################################################
]]--

function Create(self)
	local mySpawned;
	local myRand=math.floor(math.random(1,4));
	local spawnTarget;
	local spawnName = "Militia Heavy "..myRand;
	mySpawned = CreateAHuman(spawnName);
	mySpawned.AIMode = 1;
	mySpawned.Team=self.Team;
	ApplyInventory(mySpawned,self,nil);
	mySpawned.Pos=self.Pos;
	mySpawned.Vel=self.Vel;
	mySpawned.RotAngle=self.RotAngle;
	mySpawned.AngularVel=self.AngularVel;
	MovableMan:AddActor(mySpawned)
	self.ToDelete = true;
end

