--[[
######################################################################
##  File:	Militia_PlasmaII.lua									##
##  Author:	'OliveD' (olived@live.ca)								##
##	Notes:	Random generation on the militias. Weapon specific.		##
##																	##
######################################################################
]]--

function Create(self)
	local mySpawned;
	local myRand=math.floor(math.random(1,13));
	local spawnTarget;
	local spawnName = "Militia "..myRand;
	mySpawned = CreateAHuman(spawnName);
	mySpawned.AIMode = 1;
	mySpawned.Team=self.Team;
	ApplyInventory(mySpawned,self,{"Militia Plasma Rifle"});
	mySpawned.Pos=self.Pos;
	mySpawned.Vel=self.Vel;
	mySpawned.RotAngle=self.RotAngle;
	mySpawned.AngularVel=self.AngularVel;
	MovableMan:AddActor(mySpawned)
	self.ToDelete = true;
end

