--[[
######################################################################
##  File:	Bayonet.lua												##
##  Author:	'OliveD' (olived@live.ca)								##
##	Notes:	Called by the bayonet pie menu action.					##
##																	##
######################################################################
]]--

function BayonetStrike(actor)
	local rifle = ToAHuman(actor).EquippedItem;
	if rifle ~= nil then
		--Eventually, sharpness will be used for animation.
		--rifle.Sharpness = 1;
		local i;
		for i=0,2,1 do
		local pixel = CreateMOPixel("Bayonet Strike");
		pixel.IgnoresTeamHits = true;
		pixel.Team=actor.Team;
		pixel.Pos=rifle.Pos;
		pixel.Vel=rifle:RotateOffset(Vector(50,0));
		pixel.Rot=rifle.Rot;
		pixel.HFlipped=rifle.HFlipped;
		MovableMan:AddMO(pixel);
		end
	end
end
