--[[
######################################################################
##  File:	Saber.lua												##
##  Author:	'OliveD' (olived@live.ca)								##
##	Notes:	A Modest attempt at animating the saber weapon.			##
##																	##
######################################################################
]]--
function Create(self)
	self.Sharpness = 0;
	self.myParent = nil;
	self.animTimer=Timer();
	self.slashAngle = 15;
end	
function Update(self)
	if self.myParent == nil then
		local actor = MovableMan:GetMOFromID(self.RootID);
		if MovableMan:IsActor(actor) and self.RootID ~= self.ID then
			self.myParent = ToActor(actor);
		end
	else
	if self:IsActivated() then
		self.slashAngle = self.slashAngle + 1;
		if self.slashAngle<15 then
			self.myParent:GetController():SetState(Controller.AIM_SHARP,false);
			--self.myParent:FacingAngle(math.rad(self.slashAngle));
		elseif self.slashAngle<30 then
			self.myParent:GetController():SetState(Controller.AIM_SHARP,true);
			--self.myParent:FacingAngle(math.rad(self.slashAngle));
		else
			self.myParent:GetController():SetState(Controller.AIM_SHARP,false);
			self.slashAngle=15;
			--self.myParent:FacingAngle(math.rad(90));
			self.Sharpness = 0;
		end
	else
		self.myParent:GetController():SetState(Controller.AIM_SHARP,false);
	end
	end
end