--[[
######################################################################
##  File:  Gun.lua													##
##  Author:  'OliveD' (olived@live.ca)								##
##	Notes:  Script for the weapon switching on the tank. Uses the	##
##			pie menu.												##
##																	##
######################################################################
]]--

function NextWeapon(actor)
	print("wat");
	local myActor = ToACrab(actor);
	myActor.Sharpness = 2;
end


function PreviousWeapon(actor)
	local myActor = ToACrab(actor);
	myActor.Sharpness = 2;
end

function Create(self)
	self.doSwitch = false;
	self.isMG = false;
	self.gunTimer = Timer();
	self.loadedGun = false;
end 

function Update(self)
	
	if self.myParent == nil then
		local actor = MovableMan:GetMOFromID(self.RootID);
		if MovableMan:IsActor(actor) and self.RootID ~= self.ID then
			self.myParent = ToActor(actor);
		end
	else
	if self.myParent.Sharpness == 2 then
			if self.isMG == false then
				self:SetNextMagazineName("Magazine Loyalists Tank MG");
				self:Reload();
				self.isMG = true;
			else
				self:SetNextMagazineName("Magazine Loyalists Tank");
				self:Reload();
				self.isMG = false;
			end
		self.myParent.Sharpness = 1;
	end

	
	--Reload code
	if self.gunTimer:IsPastSimMS(4500) == true and self.loadedGun == false then
		self.gunTimer:Reset();
		self.loadedGun=true;
		self.myParent:FlashWhite(200);
	end
	if self.Magazine ~= nil then
		if ToMagazine(self.Magazine).PresetName == "Magazine Loyalists Tank" then
			if self.loadedGun == true then
				self.Magazine.RoundCount = 1;
			else
				self.myParent:GetController():SetState(Controller.WEAPON_FIRE,false);
				self.Magazine.RoundCount = 0;
			end
			if self:IsActivated() then
				self.loadedGun = false;
			end
		elseif ToMagazine(self.Magazine).PresetName == "Magazine Loyalists Tank MG" then
			self.Magazine.RoundCount = -1;
		end
	end
	end
end