--[[
######################################################################
##  File:	BayonetFixReload.lua									##
##  Author:	'OliveD' (olived@live.ca) (shotgunreload.lua by DR		##
##	Notes:	Temporary fix for the bayonets.							##
##			With ShotgunReload.lua by DataRealms.					##
######################################################################
]]--

function Create(self)
	self.reloadTimer = Timer();
	self.loadedShell = false;
	self.reloadCycle = false;

	self.reloadDelay = 200;

	if self.Magazine then
		self.ammoCounter = self.Magazine.RoundCount;
	else
		self.ammoCounter = 0;
	end
	self.flipTimer = Timer();
end

function Update(self)

	if self.Magazine ~= nil then
		if self.loadedShell == false then
			self.ammoCounter = self.Magazine.RoundCount;
		else
			self.loadedShell = false;
			self.Magazine.RoundCount = self.ammoCounter + 1;
		end
	else
		self.reloadTimer:Reset();
		self.reloadCycle = true;
		self.loadedShell = true;
	end

	if self:IsActivated() then
		self.reloadCycle = false;
	end

	if self.reloadCycle == true and self.reloadTimer:IsPastSimMS(self.reloadDelay) and self:IsFull() == false then
		local actor = MovableMan:GetMOFromID(self.RootID);
		if MovableMan:IsActor(actor) then
			ToActor(actor):GetController():SetState(Controller.WEAPON_RELOAD,true);
		end
		self.reloadCycle = false;
	end

	if self.flipTimer:IsPastSimMS(500) then
	local actor = MovableMan:GetMOFromID(self.RootID);
		if MovableMan:IsActor(actor) then
			if ToActor(MovableMan:GetMOFromID(self.RootID)):GetController():IsState(Controller.MOVE_UP) then
				local i;
				for i=0,2,1 do
				local pixel = CreateMOPixel("Bayonet Strike");
				pixel.IgnoresTeamHits = true;
				pixel.Team=actor.Team;
				pixel.Pos=self.Pos;
				pixel.Vel=self:RotateOffset(Vector(50,0));
				pixel.Rot=self.Rot;
				pixel.HFlipped=self.HFlipped;
				MovableMan:AddMO(pixel);
				self.flipTimer:Reset();
			end
		end
	end
	end
end